import type { BearMetalStore } from "@bearmetal/store";
import { getDirName } from "../util/packVersion.ts";

export async function getTagDir(
  store: BearMetalStore,
  namespace: string,
  version: number,
) {
  // const versionData = JSON.parse(Deno.readTextFileSync(installPath + "pack_versions/" + version + ".json"));

  const tagDir = await getDirName(version, "tags");

  return `${store.get("packlocation")}/${namespace}/${tagDir}`;
}
